/* ***** BEGIN LICENSE BLOCK *****
 * Version: MPL 1.1/GPL 2.0/LGPL 2.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is Mozilla Communicator client code, released
 * March 31, 1998.
 *
 * The Initial Developer of the Original Code is
 * Netscape Communications Corporation.
 * Portions created by the Initial Developer are Copyright (C) 1998-1999
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *   Joe Hewitt (hewitt@netscape.com)
 *
 * Alternatively, the contents of this file may be used under the terms of
 * either the GNU General Public License Version 2 or later (the "GPL"), or
 * the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * in which case the provisions of the GPL or the LGPL are applicable instead
 * of those above. If you wish to allow use of your version of this file only
 * under the terms of either the GPL or the LGPL, and not to allow others to
 * use your version of this file under the terms of the MPL, indicate your
 * decision by deleting the provisions above and replace them with the notice
 * and other provisions required by the GPL or the LGPL. If you do not delete
 * the provisions above, a recipient may use your version of this file under
 * the terms of any one of the MPL, the GPL or the LGPL.
 *
 * ***** END LICENSE BLOCK ***** */

/* ===== menu.css =======================================================
  == Styles used by XUL menu-related elements.
  ======================================================================= */

@namespace url("http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul");

/* ::::: menu/menuitem ::::: */

menu, menuitem {
  -moz-appearance: menuitem !important;
  -moz-box-align: center;
  max-width: 42em;
  color: MenuText;
  font: menu;
  list-style-image: none;
  -moz-image-region: auto;
}

menuitem[default="true"] {
  font-weight: bold;
}

menu[_moz-menuactive="true"],
menuitem[_moz-menuactive="true"] {
  color: -moz-menuhovertext;
  background-color: -moz-menuhover;
}

menu[disabled="true"],
menuitem[disabled="true"] {
  color: GrayText;
}

menubar > menu {
  padding: 0px 4px;
}

menubar > menu[_moz-menuactive="true"] {
  color: MenuText;
}

menubar > menu[open] {
  color: -moz-menuhovertext;
  background-color: -moz-menuhover;
}
menuitem.spell-suggestion {
  font-weight:bold;
}

/* ::::: menu/menuitems in menulist popups ::::: */

.menulist-menupopup > menuitem,
menulist > menupopup > menuitem,
.menulist-menupopup > menu,
menulist > menupopup > menu {
  padding-top: 1px;
  padding-bottom: 1px;
  -moz-padding-start: 1px;
  -moz-padding-end: 30px;
  max-width: none;
  font: message-box;
}

/* ..... internal content .... */

.menu-text,
.menu-iconic-left,
.menu-iconic-text {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  -moz-margin-start: 0px !important;
  -moz-margin-end: 2px !important;
  color: inherit;
}

.menu-text {
  -moz-margin-start: 18px !important;
  font-weight: inherit;
}

.menu-description {
  font-style: italic;
  color: GrayText;
  -moz-margin-start: 1ex !important;
}

.menu-accel,
.menu-iconic-accel {
  margin-top: 0px !important;
  margin-bottom: 0px !important;
  -moz-margin-start: 7px !important;
  -moz-margin-end: 2px !important;
  -moz-padding-end: 14px;
  color: inherit;
}

.menu-iconic-left {
  width: 16px;
}

.menu-iconic-icon {
  width: 16px;
  height: 16px;
}

.menu-right {
  margin-top: 0px;
  margin-bottom: 0px;
  -moz-margin-start: 6px;
  -moz-margin-end: 0px;
  width: 8px;
  list-style-image: url("chrome://global/skin/menu/Menu-arrow.png");
  -moz-image-region: auto;
}

.menu-right[_moz-menuactive="true"] {
  list-style-image: url("chrome://global/skin/menu/Menu-arrow-hover.png");
  -moz-image-region: auto;
}

.menu-right[disabled="true"] {
  list-style-image: url("chrome://global/skin/menu/Menu-arrow-disabled.png");
  -moz-image-region: auto;
}

.menu-right[chromedir="rtl"] {
  list-style-image: url("chrome://global/skin/menu/Menu-arrow-rtl.png");
}

.menu-right[chromedir="rtl"][_moz-menuactive="true"] {
  list-style-image: url("chrome://global/skin/menu/Menu-arrow-hover-rtl.png");
}

.menu-right[chromedir="rtl"][disabled="true"] {
  list-style-image: url("chrome://global/skin/menu/Menu-arrow-disabled-rtl.png");
}

.menubar-left {
  margin-top: 0px;
  margin-bottom: 0px;
  -moz-margin-start: 0px;
  -moz-margin-end: 2px;
  color: inherit;
}

.menubar-text {
  margin: 0 1px !important;
  color: inherit;
}


.menulist-menupopup > menuitem > .menu-iconic-left,
menulist > menupopup > menuitem > .menu-iconic-left,
.menulist-menupopup > menu > .menu-iconic-left,
menulist > menupopup > menu > .menu-iconic-left {
  display: none;
}

/* ::::: checkbox menuitem ::::: */

menuitem[checked="true"] {
  -moz-appearance: checkmenuitem !important;
}

menuitem[type="checkbox"] {
  -moz-appearance: checkmenuitem !important;
}

/* ::::: radio menuitem ::::: */

menuitem[type="radio"] {
  -moz-appearance: radiomenuitem !important;
}

/* ::::: menuseparator ::::: */

menuseparator {
  margin: 2px 3px;
  border-top: 1px solid ThreeDShadow;
  border-bottom: 1px solid ThreeDHighlight;
}

menulist > menupopup > menuseparator,
.menulist-menupopup > menuseparator {
  margin: 2px 0;
  border-top: 1px solid #000000;
  border-bottom: none;
}

/* ::::: autocomplete ::::: */

.autocomplete-history-popup > menuitem {
  max-width: none !important;
  font: message-box;
}

/* ::::: tree column picker ::::: */

.treecell-popupcell-menu {
  -moz-margin-start: -2px;
  list-style-image: url("chrome://global/skin/columnselect.gif");
  -moz-image-region: auto;
}
